ConfigurationDeniedException (Apache Commons Configuration 2.15.1 API)
Description: declaration: package: org.apache.commons.configuration2.ex, class: ConfigurationDeniedException

Package org.apache.commons.configuration2.ex

# Class ConfigurationDeniedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.commons.configuration2.ex.ConfigurationRuntimeException
org.apache.commons.configuration2.ex.ConfigurationDeniedException

All Implemented Interfaces:
  `Serializable`

public class ConfigurationDeniedException extends ConfigurationRuntimeException
Thrown when an application only grants specific configurations for elements like URL schemes and hosts.

Since:
  2.15.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigurationDeniedException(String message, Object... args)`
  Constructs a new `ConfigurationDeniedException` with specified detail message using `String.format(String,Object...)`.
  `ConfigurationDeniedException(Throwable cause, String message, Object... args)`
  Constructs a new `ConfigurationDeniedException` with specified detail message using `String.format(String,Object...)` and cause.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ConfigurationDeniedException

    public ConfigurationDeniedException(String message, Object... args)
    Constructs a new `ConfigurationDeniedException` with specified detail message using `String.format(String,Object...)`.
    Parameters:
      `message` - the error message.
      `args` - arguments to the error message.
    See Also:
      - `String.format(String,Object...)`

  - ### ConfigurationDeniedException

    public ConfigurationDeniedException(Throwable cause, String message, Object... args)
    Constructs a new `ConfigurationDeniedException` with specified detail message using `String.format(String,Object...)` and cause.
    Parameters:
      `cause` - the cause.
      `message` - the error message.
      `args` - arguments to the error message.
    See Also:
      - `String.format(String,Object...)`